does Oracle 8i support Vcafe' 3.0a?

does Oracle 8i support Vcafe' 3.0a?

Post by Alberto Lagn » Sun, 31 Dec 1899 09:00:00



Hi all,

I'm trying to compile an Oracle 8i EJB with Vcafe' but I'm getting an
exception from the starting phase of the compilation.
I've got a script that sets the classpath and then calls deployejb
(dodeployejb.bat).

D:\hello\ejb>dodeployejb

D:\hello\ejb>set
CLASSPATH=.;d:\oracle\ora81\lib\aurora_client.jar;d:\oracle\ora81\jdbc\lib\c
lasses111.zip;d:\oracle\ora81\sqlj\lib\translator.zip;d:\oracle\ora81\lib\vb
jorb.jar;d:\oracle\ora
81\lib\vbjapp.jar;D:\Progra~1\visualcafe\Java\Lib\classes.zip;

D:\myDocuments\Lavoro\Progetti\Inline\oracle8i\EJBs\hello\ejb>call
deployejb -republish -temp ejb -u scott -p tiger -s
sess_iiop://localhost:2481:alberto -descriptor Hello.ejb Hello.jar
Symantec Java! JustInTime Compiler Version 3.10.093(i) for JDK 1.1.x
Copyright (C) 1996-98 Symantec Corporation

java.lang.NumberFormatException: 7A
        at java.lang.Integer.parseInt(Integer.java:344)
        at java.lang.Integer.parseInt(Integer.java:382)
        at
oracle.aurora.ejb.deployment.GenerateEjb.checkJDKVersion(GenerateEjb.java:11
7)
        at
oracle.aurora.ejb.deployment.GenerateEjb.invoke(GenerateEjb.java:365)
        at
oracle.aurora.server.tools.sess_iiop.ToolImpl.invoke(ToolImpl.java:122)
        at
oracle.aurora.ejb.deployment.GenerateEjb.main(GenerateEjb.java:445)

and

D:\hello\ejb>java -version
java version "1.1.7A"

due to the fact that I'm using Symantech VCafe'

If I use sun's JDK 1.1.7 everything works fine:

D:\hello\ejb>dodeployejb

D:\myDocuments\Lavoro\Progetti\Inline\oracle8i\EJBs\hello\ejb>set
CLASSPATH=.;d:\oracle\ora81\lib\aurora_client.jar;d:\oracle\ora81\jdbc\lib\c
lasses111.zip;d:\oracle\ora81\sqlj\lib\translator.zip;d:\oracle\ora81\lib\vb
jorb.jar;d:\oracle\ora81\lib\vbjapp.jar;D:\Progra~1\JDK1.1.7\Lib\classes.zip

D:\hello\ejb>call deployejb -republish -temp ejb -u scott -p tiger -s
sess_iiop://localhost:2481:alberto -descr
iptor Hello.ejb Hello.jar
Reading Deployment Descriptor...done
Verifying Deployment Descriptor...done
Gathering users...done
Generating Comm Stubs.....................................done
Compiling Stubs...done
Generating Jar File...done
Loading EJB Jar file and Comm Stubs Jar file...done
Generating EJBHome and EJBObject on the server...done
Publishing EJBHome...done

But
D:\hello\ejb>java -version
java version "1.1.7"

Does this mean that Oracle 8i does not support Vcafe', or to same the same
thing in other words, that I cannot compile Oracle 8i EJB with VCafe'

Please let me know
TIA

Alberto